• Resolved Barry

    (@barryhughes-1)


    Hi team!

    Please see class-wc-gateway-braintree.php:1418—we have this regex:

    $invalid_characters = preg_replace( '/[\d-().]/', '', $value )

    At least under PHP 7.3, this seems to result in the following error:

    preg_replace(): Compilation failed: invalid range in character class at offset 3

    Possibly need to escape the dash so it doesn’t look like a range:

    $invalid_characters = preg_replace( '/[\d\-().]/', '', $value )

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author SkyVerge

    (@skyverge)

    Hey @barryhughes-1!

    Thank you for contacting us about our PayPal powered by Braintree gateway plugin. Iā€™m happy to help.

    You’re absolutely spot on, of course! The good news is that we were reported of this issue earlier by another member of the forums. Our developers are aware of this issue, and I’m expecting this to be added in the next release of the plugin.

    Thanks so much for letting us know though, we really appreciate the time it takes to report them. It helps us make the plugin better for all users!

    Is there anything else I can help out with in the meantime?

    Cheers,

    Simon.

    Barry

    (@barryhughes-1)

    Excellent! Sorry I missed the earlier report but that’s good news šŸ™‚

    Plugin Author SkyVerge

    (@skyverge)

    No problem at all Barry, that’s what we’re here for. šŸ™‚

    I’ll mark this thread as resolved now, though please do keep an eye out for the next release!

    Cheers,

    Simon.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.